<script setup>
const colorMode = useColorMode();

const changeColor = () => {
  if (colorMode.value === 'dark') {
    return (colorMode.preference = 'light');
  }

  if (colorMode.value === 'light') {
    return (colorMode.preference = 'dark');
  }
};
</script>

<template>
  <button class="ml-8" type="button" @click="changeColor">
    <IconsSun
      v-show="colorMode.value === 'dark'"
      class="hover:opacity-75"
      alt="Toggle light theme"
    />

    <IconsMoon
      v-show="colorMode.value === 'light'"
      class="hover:opacity-75"
      alt="Toggle dark theme"
    />
  </button>
</template>
